"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'mononokebt',
    name: 'Mononoké-BT',
    description: 'Mononoke-BT is a FRENCH Private Torrent Tracker for ANIME',
    language: 'fr-FR',
    type: 'private',
    encoding: 'ISO-8859-15',
    links: ['http://mononoke-bt.org/'],
    caps: {
        modes: { search: ['q'], 'tv-search': ['q', 'season', 'ep'] },
        categorymappings: [{ id: '1', cat: 'TV/Anime' }],
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'vostfr',
            type: 'checkbox',
            label: 'Add VOSTFR to titles',
            default: false,
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("l\'authentification"))' }],
        test: { path: 'browse2.php' },
    },
    search: {
        paths: [{ path: 'browse2.php' }],
        inputs: {
            search: '%{{ re_replace .Query.Keywords "[^a-zA-Z0-9]+" "%" }}%',
            incldead: 1,
        },
        rows: {
            selector: 'table#torrentstable > tbody > tr:has(a[href^="details.php?id="])',
        },
        fields: {
            category: { text: 1 },
            title_normal: { selector: 'a[href^="details.php?id="]' },
            title_vostfr: { text: '{{ .Result.title_normal }} VOSTFR' },
            title: {
                text: '{{ if .Config.vostfr }}{{ .Result.title_vostfr }}{{ else }}{{ .Result.title_normal }}{{ end }}',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="gettorrent.php?id="]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="browse2.php?cat="] > img',
                attribute: 'src',
            },
            files: { selector: 'td:nth-child(6)' },
            date: {
                selector: 'td:nth-child(9)',
                filters: [
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            size: {
                selector: 'td:nth-child(10)',
                filters: [{ name: 'replace', args: ['o', 'b'] }],
            },
            grabs: { selector: 'td:nth-child(12)' },
            seeders: { selector: 'td:nth-child(13)' },
            leechers: { selector: 'td:nth-child(14)' },
            downloadvolumefactor: {
                case: {
                    'img[src="/pic/icons/cadeau1.png"]': 0,
                    'img[src="/pic/icons/cadeau2.png"]': 0,
                    'img[src="/pic/icons/cadeau3.png"]': 0,
                    '*': 1,
                },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
